<?php

namespace App\Distributor\Controllers;

use App\Distributor\Metrics\Examples;
use App\Distributor\Metrics\DistMessage;
use App\Http\Controllers\Controller;
use App\Distributor\Controllers\Dashboard;
use Dcat\Admin\Admin;
use Dcat\Admin\Layout\Column;
use Dcat\Admin\Layout\Content;
use Dcat\Admin\Layout\Row;


class HomeController extends Controller
{

    public function index(Content $content)
    {
        return $content
            ->title(admin_trans('site_name'))
            ->view('distributor.layouts.content')
            ->header(admin_trans( 'admin.home'))
            ->body(function (Row $row) {
                $row->column(12, function (Column $column) {
                   $column->row(Dashboard::title());
//                    $column->row(new Examples\Tickets());
                });

                $row->column(4, function (Column $column) {
                    $column->row(new DistMessage());
                });
            });
    }
}
